Upgrade Assistant Failed When Try to Upgrade RPD and Catalog From OBIEE 10.1.3.4.1 To 11.1.1.5 (Doc ID 1432937.1)

Last updated on OCTOBER 17, 2013

Applies to:

Business Intelligence Suite Enterprise Edition - Version 11.1.1.5.0 [1308] and later
Information in this document applies to any platform.

Symptoms

Oracle Business Intelligence Enterprise Edition (OBIEE) 11.1.1.5


Upgrading the repository (rpd) and Web Catalog from OBIEE 10g to 11g (11.1.1.5).
Following documentation http://docs.oracle.com/cd/E21764_01/bi.1111/e16452/upgrade_bi.htm#BABHCDGI

The Upgrade Assistant (UA) fails with the following error in the log in one particular environment (DEV):

[2012-02-02T13:21:47.609-05:00] [Framework] [ERROR] [UPGAST-00138] [upgrade.Framework] [tid: 14] [ecid: 0000JKzJGY12bM7SvIECSl1FAhF3000005,0] upgrade exception occurred
[2012-02-02T13:21:47.610-05:00] [Framework] [ERROR] [] [upgrade.Framework] [tid: 14] [ecid: 0000JKzJGY12bM7SvIECSl1FAhF3000005,0] Cause: An unexpected upgrade exception has occurred. Action: See the secondary error message for additional details.
[2012-02-02T13:21:47.610-05:00] [Framework] [ERROR] [] [upgrade.Framework] [tid:! 14] [ecid: 0000JKzJGY12bM7SvIECSl1FAhF3000005,0] UPGCMP-02712: Expected oracle.biee.admin:oracleInstance=*,type=BIDomain.OracleInstance,group=Service Oracle instance, found 2
[2012-02-02T13:21:47.610-05:00] [Framework] [ERROR] [] [upgrade.Framework] [tid: 14] [ecid: 0000JKzJGY12bM7SvIECSl1FAhF3000005,0] UPGCMP-02712: Expected oracle.biee.admin:oracleInstance=*,type=BIDomain.OracleInstance,group=Service Oracle instance, found 2
[2012-02-02T13:21:47.610-05:00] [Framework] [NOTIFICATION] [] [upgrade.Framework] [tid: 14] [ecid: 0000JKzJGY12bM7SvIECSl1FAhF3000005,0] Finished upgrading BIEE with status: Failure.
[2012-02-02T13:21:47.611-05:00] [Framework] [NOTIFICATI! ON] [] [upgrade.Framework] [tid: 14] [ecid: 0000JKzJGY12bM7SvIECSl1FAhF3000005,0] Finished upgrading components.
[2012-02-02T13:21:47.611-05:00] [Framework] [NOTIFICATION] [] [upgrade.Framework] [tid: 14] [ecid: 0000JKzJGY12bM7SvIECSl1FAhF3000005,0] 0 components upgraded with success.
[2012-02-02T13:21:47.611-05:00] [Framework] [NOTIFICATION] [] [upgrade.Framework] [tid: 14] [ecid: 0000JKzJGY12bM7SvIECSl1FAhF3000005,0] 1 components upgraded with failure.

 

When tried to upgrade catalog and rpd after removing the OHS 11.1.1.6 entries from the topology.xml, this fixed the original error, but produced following error in the upgrade log:

UPGCMP-02709: Cannot upgrade an RPD which is in the TEMP directory (/tmp)


Moved the repository (.rpd file) to /home/obiee folder, and the catalog upgrade went fine, but the RPD upgrade failed with following error:

 

UPGCMP-02720: RPD migration utility encountered the following fatal error: The file 'DBFeatures.INI' is required for RPD migration and could not be located. Please ensure that ORACLE_INSTANCE is pointing to a valid instance directory.


Same upgrade steps worked fine in the Production (PROD) environment.

Changes

The only difference between PROD and DEV environment is that there is an Oracle HTTP Server (OHS) 11.1.1.2 (patched to 11.1.1.6) installed on the same machine in the FMW ORACLE_HOME in DEV environment.
In PROD environment, there is no OHS installation, only OBIEE 11g.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms